Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class CopyProjectOperation

    java.lang.Object
      org.eclipse.ui.actions.CopyProjectOperation

public class CopyProjectOperation
extends Object

Implementation class to perform the actual copying of project resources from the clipboard when paste action is invoked.

This class may be instantiated; it is not intended to be subclassed.

Constructor Summary
`CopyProjectOperation(Shell shell)` Create a new operation initialized with a shell.

Method Summary
`void` | `copyProject(IProject project)` Paste a copy of the project on the clipboard to the workspace.
`String` | `getNewName()` Returns the new name of the project.
`boolean` | `isCanceled()` Returns whether the operation was cancelled or failed due to error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyProjectOperation

    public CopyProjectOperation(Shell shell)

  Create a new operation initialized with a shell.

Parameters:
  `shell` - parent shell for error dialogs

Method Detail

### copyProject

    public void copyProject(IProject project)

  Paste a copy of the project on the clipboard to the workspace.

### isCanceled

    public boolean isCanceled()

  Returns whether the operation was cancelled or failed due to error.

  Returns:
    `true` if the operation ws cancelled or failed due to an error, `false` if the operation was successful
  Since:
    3.0.1

### getNewName

    public String getNewName()

  Returns the new name of the project. Valid only if the operation was successful (`isCancelled` returns false).

  Returns:
    the new name of the project, or `null` if the new name is unknown
  Since:
    3.0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.